Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Animation Nodes

## Compounds
struct | _Lib3dsAmbientData
struct | _Lib3dsCameraData
struct | _Lib3dsLightData
struct | _Lib3dsNode
union | _Lib3dsNodeData
struct | _Lib3dsObjectData
struct | _Lib3dsSpotData
struct | _Lib3dsTargetData
## Defines
#define | LIB3DS_NO_PARENT 65535
## Typedefs
typedef _Lib3dsAmbientData | Lib3dsAmbientData
typedef _Lib3dsObjectData | Lib3dsObjectData
typedef _Lib3dsCameraData | Lib3dsCameraData
typedef _Lib3dsTargetData | Lib3dsTargetData
typedef _Lib3dsLightData | Lib3dsLightData
typedef _Lib3dsSpotData | Lib3dsSpotData
typedef _Lib3dsNodeData | Lib3dsNodeData
typedef enum _Lib3dsNodeTypes | Lib3dsNodeTypes
typedef _Lib3dsBoolKey | Lib3dsBoolKey
typedef _Lib3dsBoolTrack | Lib3dsBoolTrack
typedef _Lib3dsLin1Key | Lib3dsLin1Key
typedef _Lib3dsLin1Track | Lib3dsLin1Track
typedef _Lib3dsLin3Key | Lib3dsLin3Key
typedef _Lib3dsLin3Track | Lib3dsLin3Track
typedef _Lib3dsQuatKey | Lib3dsQuatKey
typedef _Lib3dsQuatTrack | Lib3dsQuatTrack
typedef _Lib3dsMorphKey | Lib3dsMorphKey
typedef _Lib3dsMorphTrack | Lib3dsMorphTrack
## Functions
Lib3dsNode * | lib3ds_node_new_ambient ()
Lib3dsNode * | lib3ds_node_new_object ()
Lib3dsNode * | lib3ds_node_new_camera ()
Lib3dsNode * | lib3ds_node_new_target ()
Lib3dsNode * | lib3ds_node_new_light ()
Lib3dsNode * | lib3ds_node_new_spot ()
void | lib3ds_node_free (Lib3dsNode *node)
void | lib3ds_node_eval (Lib3dsNode *node, Lib3dsFloat t)
Lib3dsNode * | lib3ds_node_by_name (Lib3dsNode *node, const char *name, Lib3dsNodeTypes type)
Lib3dsNode * | lib3ds_node_by_id (Lib3dsNode *node, Lib3dsWord node_id)
void | lib3ds_node_dump (Lib3dsNode *node, Lib3dsIntd level)
Lib3dsBool | lib3ds_node_read (Lib3dsNode *node, Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | lib3ds_node_write (Lib3dsNode *node, Lib3dsFile *file, Lib3dsIo *io)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Define Documentation

#define LIB3DS_NO_PARENT 65535

## Typedef Documentation

typedef struct _Lib3dsAmbientData Lib3dsAmbientData

| Scene graph ambient color node data

Lib3dsBoolKey

| See also: _Lib3dsBoolKey

Lib3dsBoolTrack

| See also: _Lib3dsBoolTrack

typedef struct _Lib3dsCameraData Lib3dsCameraData

| Scene graph camera node data

typedef struct _Lib3dsLightData Lib3dsLightData

| Scene graph light node data

Lib3dsLin1Key

| See also: _Lib3dsLin1Key

Lib3dsLin1Track

| See also: _Lib3dsLin1Track

Lib3dsLin3Key

| See also: _Lib3dsLin3Key

Lib3dsLin3Track

| See also: _Lib3dsLin3Track

Lib3dsMorphKey

| See also: _Lib3dsMorphKey

Lib3dsMorphTrack

| See also: _Lib3dsMorphTrack

typedef union _Lib3dsNodeData Lib3dsNodeData

| Scene graph node data union

Lib3dsNodeTypes

typedef struct _Lib3dsObjectData Lib3dsObjectData

| Scene graph object instance node data

Lib3dsQuatKey

| See also: _Lib3dsQuatKey

Lib3dsQuatTrack

| See also: _Lib3dsLin3Key

typedef struct _Lib3dsSpotData Lib3dsSpotData

| Scene graph spotlight target node data

typedef struct _Lib3dsTargetData Lib3dsTargetData

| Scene graph camera target node data

## Function Documentation

Lib3dsNode* lib3ds_node_by_id | ( | Lib3dsNode * | node,
|  | Lib3dsWord | node_id
| ) |

Lib3dsNode* lib3ds_node_by_name | ( | Lib3dsNode * | node,
|  | const char * | name,
|  | Lib3dsNodeTypes | type
| ) |

void lib3ds_node_dump | ( | Lib3dsNode * | node,
|  | Lib3dsIntd | level
| ) |

void lib3ds_node_eval | ( | Lib3dsNode * | node,
|  | Lib3dsFloat | t
| ) |

void lib3ds_node_free | ( | Lib3dsNode * | node | ) |

Lib3dsNode* lib3ds_node_new_ambient | ( |  | ) |

Lib3dsNode* lib3ds_node_new_camera | ( |  | ) |

Lib3dsNode* lib3ds_node_new_light | ( |  | ) |

Lib3dsNode* lib3ds_node_new_object | ( |  | ) |

Lib3dsNode* lib3ds_node_new_spot | ( |  | ) |

Lib3dsNode* lib3ds_node_new_target | ( |  | ) |

Lib3dsBool lib3ds_node_read | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |

Lib3dsBool lib3ds_node_write | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |